#!/usr/bin/python3

#*************************************************************************
#
# This updates the TLE file found in my /home/eumetcast/EMCtools/pppconfig
# It should be updated at least once a month in scheduled 24/7 TC systems.
#
# In the scripts for polar orbiting satellites you will find the two lines
#
#   # If you set tlefil = '' it will be downloaded from Internet!
#   tlefil = toodrp + '/EMCtools/pppconfig/my_TLE_file.txt'
#
# It is *NOT* recommended to set tlefil = '' as this will fetch a TLE file
# from the internet for every single image that you produce with the script
#
#
# CH-3123 Belp, 2021/01/12        License GPL3          (c) Ernst Lobsiger
#
#*************************************************************************

import shutil
from pyorbital import tlefile

# Change eumetcast with your user name
ppp='/home/eumetcast/EMCtools/pppconfig'
# If something goes wrong we still have a copy of the current TLE file in backup!
shutil.copy(ppp + '/' + 'my_TLE_file.txt', ppp + '/backup/' + 'old_TLE_file.txt')
tlefile.fetch(ppp + '/' + 'my_TLE_file.txt')

