#!/bin/bash
# *************************************************************************
#
#  This updates the TLE file found $HOME/EMCtools/pppconfig/my_TLE_file.txt
#  It should be updated at least once a month in a scheduled 24/7 TC system.
#  Call this as the GNU/Linux user that has Miniconda3 in its home directory!
#
#
#  In the scripts for polar orbiting satellites you will find the two lines
#
#    #  If you set tlefil = '' it will be downloaded from Internet!
#    tlefil = toodrp + '/EMCtools/pppconfig/my_TLE_file.txt'
#
#  It is *NOT* recommended to set tlefil = "" as this will fetch a TLE file
#  from the internet for every single image that you produce with the script
#
#
#  CH-3123 Belp, 2021/01/12        License GPL3          (c) Ernst Lobsiger
#
# *************************************************************************

# Change eumetcast to your user name
source /home/eumetcast/.bashrc_cron

#  Now activate the Miniconda3 environment pytroll  
conda activate pytroll

#  Call the Python update script (absolute path)
python /home/eumetcast/EMCtools/cmdfiles/Update_TLE_file.py

#  Just to play it safe
conda deactivate

# That's all folks
